//*****************************************
// AVR ATmega644 Serial Monitor-G
// CPU Clock:8MHz,16MHz,18.432MHz or 20MHz(Compile Option)
// File Name:Setting.h
//  wb_[t@C
//
//  2013/05/26 New  Taishi ATmega644
//*****************************************

#define	POS_BPS			0					// BPS (1'st Line)
#define	POS_DATA		7					// Data Length (1'st Line)
#define	POS_PARITY		10					// Parity (1'st Line)
#define	POS_END_LESS	1					// End Less (2'nd Line)
#define	POS_TRIG_DATA	9					// Trig Data (2'nd Line)
#define	POS_PASS_TIME	14					// Pass Time on/off(3'rd Line)
#define	POS_BACK_LIGHT	12					// Back Light on/off(4'th Line)


extern	void	set_setting_data(void);
extern	void	get_setting_bps(void);
extern	void	get_setting_data_length(void);
extern	void	get_setting_parity(void);
extern	void	get_setting_endless_on_off(void);
extern	void	get_setting_pass_time_on_off(void);
extern	void	get_space20(void);
