//*****************************************
// AVR ATmega644 Serial Monitor-G
// CPU Clock:8MHz,16MHz,18.432MHz or 20MHz(Compile Option)
// File Name:Utility.c
// VAf[^iqrQRQbjj^[vO
//   iq[Yf[^@is`fgpȂAȂAwIV[^(16MHz)Aɂj
//   i`FbN͂rohdmj
//
//  2013/05/26 New  Taishi ATmega644
//*****************************************
#include				<avr/pgmspace.h>


#include				"AVR_ATmega644_G_moni.h"
#include				"LCD.h"

#include				"Utility.h"

/****************************************************************/
/* PoCgf[^										*/
/* PUîQ̂`rbhhɕϊ							*/
/* ʌ̂OTvX͂Ȃ									*/
/****************************************************************/
void	wtod_02x(unsigned char *bf,unsigned char ucd)
{
	*bf = (char)(((ucd>>4) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf=0;
}
/****************************************/
/* QoCgf[^				*/
/* ŜPUî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ			*/
/****************************************/
void	wtod_04x(unsigned char *bf,unsigned int ucd)
{
	*bf = (char)(((ucd>>12) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>8) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd>>4) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf = (char)(((ucd) & 0x0f)|'0');
	if (*bf > '9'){
		*bf += 7;
	}
	bf++;
	*bf=0;
}
/****************************************/
/* QoCgf[^				*/
/* R̂POî`rbhhɕϊ	*/
/* ʌ̂OTvX͂Ȃ			*/
/****************************************/
void	wtod_03u(unsigned char *bf,unsigned int ucd)
{
	ucd %= 1000;

	*bf = (char)('0'+(ucd/100));
	ucd %= 100;
	bf++;

	*bf = (char)('0'+(ucd/10));
	bf++;

	*bf = (char)('0'+(ucd%10));
	bf++;

	*bf=0;
}
//*****************************************
// vÖ̕擾
// 	őQO܂
//  擾 disp_moji[] ɓ
//*****************************************
void	get_pgm_str(unsigned char *puc)
{
	unsigned char i;
	unsigned char uc;

	for(i=0; i < 20 ; i++){
		uc = pgm_read_byte(puc + i);
		if(uc == 0){									// ^[~l[^[̎
			break;
		}
		disp_moji[i] = pgm_read_byte(puc + i);
	}
	disp_moji[i] = 0;
}

